TKN-HUB-REINSTALL-TASK(1)

NAME

tkn-hub-reinstall-task - Reinstall a Task by its name

SYNOPSIS

tkn hub reinstall task

DESCRIPTION

Reinstall a Task by its name

OPTIONS

-h, --help[=false]
    help for task

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩ for 'tekton' type; default ' ⟨https://artifacthub.io'⟩ for 'artifact' type). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'TEKTON_HUB_API_SERVER'/'ARTIFACT_HUB_API_SERVER'.

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

--from="tekton"
    Name of Catalog to which resource belongs.

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

--type="tekton"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton'

--version=""
    Version of Resource

EXAMPLE

Reinstall a Task of name 'foo':

    tkn hub reinstall task foo

or

Reinstall a Task of name 'foo' of version '0.3' from Catalog 'Tekton':

    tkn hub reinstall task foo --version 0.3 --from tekton

SEE ALSO

tkn-hub-reinstall(1)